PUT
/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/sales/stop2609170000Suspend sale of each item of a product
# 01
Summary
Suspend sale of each item of a product
# 02
Details
Available buyer market: Korea, Taiwan
Change the sale status of each item of a product to 'suspended'. This feature can be used when option ID(vendorItemId) is issued after sale request is approved.
Path
PUT/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/sales/stop
Example endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/sales/stopURL API Name
STOP_PRODUCT_SALES_BY_ITEM
# 03
Path parameters
| Name | Type | Description |
|---|---|---|
| vendorItemId* | number | OptionID It is a unique number given to a vendor item. |
# 04
Response body
Response message
| Name | Type | Description |
|---|---|---|
| code | string | SUCCESS/ERROR
|
| message | string | Result message
|
Response Example
{
"code": "SUCCESS",
"message": "Sale has been suspended."
}# 05
Error codes
| HTTP | Code | Message |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
Error specification
| HTTP | Type | Error message | Solution |
|---|---|---|---|
| 400 | 400 (Check request parameter) | Failed to suspend sales. [OptionID[5469***088] : You cannot change the status of a deleted item.] | Check if optionID(vendorItemId) is deleted. |
| 400 | 400 (Check request parameter) | Failed to suspend sales. [vendoritemid 3919***504 not found] | Check if correct optionID(vendorItemId) value is entered. |